[android-components](../../index.md) / [mozilla.components.feature.downloads](../index.md) / [DownloadsUseCases](./index.md)

# DownloadsUseCases

`class DownloadsUseCases` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/downloads/src/main/java/mozilla/components/feature/downloads/DownloadsUseCases.kt#L15)

Contains use cases related to the downloads feature.

### Parameters

`store` - the application's [BrowserStore](../../mozilla.components.browser.state.store/-browser-store/index.md).

### Types

| Name | Summary |
|---|---|
| [ConsumeDownloadUseCase](-consume-download-use-case/index.md) | `class ConsumeDownloadUseCase` |

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `DownloadsUseCases(store: `[`BrowserStore`](../../mozilla.components.browser.state.store/-browser-store/index.md)`)`<br>Contains use cases related to the downloads feature. |

### Properties

| Name | Summary |
|---|---|
| [consumeDownload](consume-download.md) | `val consumeDownload: `[`ConsumeDownloadUseCase`](-consume-download-use-case/index.md) |
